# 템플릿 승인 요청 취소

## Request

## 지정된 템플릿의 승인요청을 취소합니다.<br>

> 지정된 템플릿의 승인요청을 취소합니다.  \
> \
> &#x20; \+ \*\*계정 권한: 마스터, 매니저, 대행사\*\*\
> &#x20; \+ \*\*브랜드 권한: 브랜드 대표운영자, 운영자\*\*\
> &#x20; \+ \*\*지원 범위: 텍스트 템플릿(타이틀 선택형 / 타이틀 자유형), 이미지 템플릿, LMS 템플릿\*\*\
> \
> 각 상태별 취소 요청 동작은 다음과 같습니다.  \
> \
> &#x20; \+ \*\*승인대기 : 저장 상태로 변경\*\*          \
> &#x20; \+ \*\*승인대기(수정) : 직전 승인 상태 및 데이터로 롤백\*\*\
> &#x20; \+ \*\*반려(수정) : 직전 승인 상태 및 데이터로 롤백\*\*\
> &#x20; \+ \*\*이외의 경우 에러 리턴\*\*<br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}},"parameters":{"BrandKey":{"name":"X-RCS-Brandkey","in":"header","schema":{"type":"string","maxLength":18},"description":"maxLength: 18 - RCS Biz Center에서 브랜드 등록 시 자동 생성되는 Key 입니다.  \n\n대행사가 해당 브랜드에 대한 권한 여부를 판단하는데 사용됩니다.\n따라서, 대행사 계정으로 브랜드 내 정보를 조회/등록/수정 API 연동 시 Header에 설정되어야 합니다.\n"},"BrandId":{"name":"brandId","in":"path","schema":{"type":"string","maxLength":13},"required":true,"description":"maxLength: 13 - 브랜드 내 정보 접근시 사용되는 브랜드ID Path Parameter 입니다.\n"},"MessagebaseId":{"name":"messagebaseId","in":"path","schema":{"type":"string"},"required":true,"description":"messagebase ID Path parameter 입니다."}}},"paths":{"/brand/{brandId}/messagebase/{messagebaseId}/cancel":{"put":{"summary":"지정된 템플릿의 승인요청을 취소합니다.\n","description":"지정된 템플릿의 승인요청을 취소합니다.  \n\n  + **계정 권한: 마스터, 매니저, 대행사**\n  + **브랜드 권한: 브랜드 대표운영자, 운영자**\n  + **지원 범위: 텍스트 템플릿(타이틀 선택형 / 타이틀 자유형), 이미지 템플릿, LMS 템플릿**\n\n각 상태별 취소 요청 동작은 다음과 같습니다.  \n\n  + **승인대기 : 저장 상태로 변경**          \n  + **승인대기(수정) : 직전 승인 상태 및 데이터로 롤백**\n  + **반려(수정) : 직전 승인 상태 및 데이터로 롤백**\n  + **이외의 경우 에러 리턴**\n","parameters":[{"$ref":"#/components/parameters/BrandKey"},{"$ref":"#/components/parameters/BrandId"},{"$ref":"#/components/parameters/MessagebaseId"}],"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center">O</td><td></td><td>등록된 템플릿ID(= messagebaseId)</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="188">필드명</th><th width="100">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td>messagebaseId</td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>등록된 템플릿ID(= messagebaseId)</td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "messagebaseId": "UBR.u720xwadx0-test202406182"
        }
    ],
    "status": 200
}
```

{% endtab %}

{% tab title="400" %}

```
{
    "error": {
        "code": "64002",
        "message": "Invalid Brand Key"
    },
    "status": 400
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}

{% tab title="403" %}

```
{
    "error": {
        "code": "63001",
        "message": "No Brand Permission"
    },
    "status": 403
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/template/put_template_cancel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
